(function ($) {
        "use strict";
            var WidgetScrollSequenceHandler = function($scope, $) { 
                let is_editable = elementorFrontend?.isEditMode();
                let getBlurred = $scope[0].querySelector('.wkit-blurred-text-reveal');

let prefix = getBlurred.querySelector('.blurred-text-prefix');
if(prefix.getAttribute('data-text') == ''){
    prefix.remove();
}

let postfix = getBlurred.querySelector('.blurred-text-postfix');
if(postfix.getAttribute('data-text') == ''){
    postfix.remove();
}

let blurredText = getBlurred.querySelector('.blurred-text');
if(blurredText.getAttribute('data-text') == ''){
    blurredText.remove();
}else{
    let text = blurredText.innerHTML;
    text = text.trim()
    blurredText.innerHTML = '';
    for (let i = 0; i < text.length; i++) {
        let span = document.createElement("span");
        span.className = "char";
        span.textContent = text[i];
        blurredText.appendChild(span);
    }
}  
            };	
        $(window).on('elementor/frontend/init', function () {
          elementorFrontend.hooks.addAction('frontend/element_ready/wb-906qnv24.default', WidgetScrollSequenceHandler);
        });
    })(jQuery);